org.eclipse.incquery.viewers.runtime.model

## Interface FormattableElement

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    Attribute, Containment, Edge, Item
  All Known Implementing Classes:
    AttributeImpl, ContainmentImpl, EdgeImpl, ItemExtender, ItemImpl

      public interface FormattableElement
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Formattable Element'.

  The following features are supported:

  - `Label`
  - `Format`
  - `Id`
  See Also:
    `NotationPackage.getFormattableElement()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormatSpecification` | `getFormat()` Returns the value of the 'Format' containment reference.
    `java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `void` | `setFormat(FormatSpecification value)` Sets the value of the '`Format`' containment reference.
    `void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `NotationPackage.getFormattableElement_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getFormat

          FormatSpecification getFormat()

      Returns the value of the 'Format' containment reference.

      If the meaning of the 'Format' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Format' containment reference.
      See Also:
        `setFormat(FormatSpecification)`, `NotationPackage.getFormattableElement_Format()`

    - #### setFormat

          void setFormat(FormatSpecification value)

      Sets the value of the '`Format`' containment reference.
      Parameters:
        `value` - the new value of the 'Format' containment reference.
      See Also:
        `getFormat()`

    - #### getId

          java.lang.String getId()

      Returns the value of the 'Id' attribute.

      If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Id' attribute.
      See Also:
        `setId(String)`, `NotationPackage.getFormattableElement_Id()`

    - #### setId

          void setId(java.lang.String value)

      Sets the value of the '`Id`' attribute.
      Parameters:
        `value` - the new value of the 'Id' attribute.
      See Also:
        `getId()`